> For the complete documentation index, see [llms.txt](https://docs.voordemensen.nl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.voordemensen.nl/api/public-endpoints/tickettypes.md).

# Ticket types

## Ticket types

<mark style="color:blue;">`GET`</mark> `https://api.voordemensen.nl/v1/:client_name/tickettypes/:event_id`

List available ticket types for a specific sub\_event

#### Path Parameters

| Name         | Type   | Description                                                            |
| ------------ | ------ | ---------------------------------------------------------------------- |
| client\_name | string | the short name identifying you as a VdM client e.g. *demo* or *fringe* |
| event\_id    | string | id of the sub\_event                                                   |

{% tabs %}
{% tab title="200 Available discounts" %}

```
[{
	"discount_id": "2ePdA8q3BN",
	"discount_name": "Standaard",
	"base_price": "24.50",
	"discount_type": "\u20ac",
	"discount_value": "0.00",
	"discounted_price": "24.50"
}, {
	"discount_id": "bo6dlyJGea",
	"discount_name": "CJP",
	"base_price": "24.50",
	"discount_type": "\u20ac",
	"discount_value": "1.00",
	"discounted_price": "23.50"
}, {
	"discount_id": "GyPdxwZ3Zp",
	"discount_name": "Uitflits",
	"base_price": "24.50",
	"discount_type": "=",
	"discount_value": "2.00",
	"discounted_price": "2.00"
}, {
	"discount_id": "AYDJK7JlkX",
	"discount_name": "stadspas",
	"base_price": "24.50",
	"discount_type": "%",
	"discount_value": "25.00",
	"discounted_price": "18.38"
}]
```

{% endtab %}

{% tab title="404 Could not find that supplied event\_id" %}

```
{    "message": "sub_event not found"}
```

{% endtab %}
{% endtabs %}

This endpoint will list the available ticket types for an event\_id, taking into account all discount-logic available (e.g. the maximum number of discounts used).&#x20;

The response includes:

* discount\_id - used to effectivly order a ticket
* the base and discounted prices for this ticket type


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.voordemensen.nl/api/public-endpoints/tickettypes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
